Subject: RE: [mobile-ip] Re: mobile-ip] Re: mobile-ip] Multiple flows with single NAI

From: Mukesh Sharma <[email-masked]>
Date: Wed, 9 May 2001 18:37:17 -0400

Hi Madhavi, 

> -----Original Message-----
> From: Madhavi Subbarao [mailto:[email-masked]]
> Sent: Wednesday, May 09, 2001 4:48 PM
> To: [email-masked]
> Subject: [mobile-ip] Re: mobile-ip] Re: mobile-ip] Multiple flows with
> single NAI
> 
> 
> True...every IP packet does not have an NAI.  However, the HA can
> distinguish between different MN bindings using the tuple 
> (NAI, IP address).  The draft we propose outlines the behavior for NAI
> and multiple STATIC IP addresses...(NAI, IP address) is used as the
> 'identifier' at the HA.  There is no need for the HA to multicast or
> sniff.  We are thinking of the NAI as an identifier for the USER
> behind the device...if that makes sense.  It's analogous to what you
> describe below as a 'subscription id', so I think we are on the same
> page.
> 
> Since NAI identifies and authenticates the USER, it shouldn't matter
> which device the USER is coming in on.  Moreover, the USER shouldn't
> be constrained to use only a single device.
> 
> -Madhavi

I can see from the email (also the title of the draft) that you did put
emphasis on STATIC IP addresses. Any reason why Dynamic IP addresses were
not considered. I think that is also one of the possible case to be looked
upon. As I think this model will fail if Dynamic addresses are considered.
Or for it to work there is additional work needed at Mobile station, FA and
HA.

- Sharma

---

From: Madhavi Subbarao <[email-masked]>
Date: Thu, 10 May 2001 12:00:02 -0400

Hi Sharma,

> Or for it to work there is additional work needed at Mobile station, FA and

Yes, this draft is specific to Static IP addresses.  We will be
submitting another draft detailing the behavior for Dynamic IP address
allocation with a single NAI.  At first glance, it might seem similar, but
infact there are other issues.  Another level of abstraction is needed
to distinguish between different MIP 'flows'.  For example, if a USER
is registering on two different devices, the RRQ's would look the same...
(NAI, 0.0.0.0 as the home address).  But, when introducing
another level of identification, additional measures need to be taken
to ensure no security hole is being introduced.

Thanks,
Madhavi